org.apache.tamaya.model.spi

## Class ConfigModelReader

- java.lang.Object
- - org.apache.tamaya.model.spi.ConfigModelReader

-     public final class ConfigModelReader
      extends Object

  Utility class to read metamodel information from properties. Hereby these properties can be part of a configuration (containing other entriees as well) or be dedicated model definition properties read from any kind of source.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Collection<ConfigModel>` | `loadValidations(Map<String,String> props, String defaultProviderName)` Loads validations as configured in the given properties.
    `static Collection<ConfigModel>` | `loadValidations(Map<String,String> props, String selector, String defaultProviderName)` Loads validations as configured in the given properties.
    `static Collection<ConfigModel>` | `loadValidations(Properties props, String defaultProviderName)` Loads validations as configured in the given properties.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### loadValidations

          public static Collection<ConfigModel> loadValidations(Properties props,
                                                String defaultProviderName)

      Loads validations as configured in the given properties.
      Parameters:
        `props` - the properties to be read
        `defaultProviderName` - the default provider name used if no explicit provider name is configured.
      Returns:
        a collection of config validations.

    - #### loadValidations

          public static Collection<ConfigModel> loadValidations(Map<String,String> props,
                                                String defaultProviderName)

      Loads validations as configured in the given properties.
      Parameters:
        `props` - the properties to be read
        `defaultProviderName` - the default provider name used if no explicit provider name is configured.
      Returns:
        a collection of config validations.

    - #### loadValidations

          public static Collection<ConfigModel> loadValidations(Map<String,String> props,
                                                String selector,
                                                String defaultProviderName)

      Loads validations as configured in the given properties.
      Parameters:
        `props` - the properties to be read
        `selector` - the selector (default is {model}), that identifies the model entries.
        `defaultProviderName` - the default provider name used if no explicit provider name is configured.
      Returns:
        a collection of config validations.

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.